openSUSE-SU-2019:0310-1: moderate: Security update for gdm


openSUSE Security Update: Security update for gdm
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:0310-1
Rating: moderate
References: #1112294 #1112578 #1113245 #1113700 #1120307
#1124628
Cross-References: CVE-2019-3825
Affected Products:
openSUSE Leap 15.0
______________________________________________________________________________

An update that solves one vulnerability and has 5 fixes is
now available.

Description:

This update for gdm fixes the following issues:

Security issue fixed:

– CVE-2019-3825: Fixed a lock screen bypass when timed login was enabled
(bsc#1124628).

Other issues fixed:

– GLX applications do not work well when the proprietary nvidia driver is
used with a wayland session. Because of that this update disables
wayland on that hardware (bsc#1112578).
– Fixed an issue where gdm restart fails to kill user processes
(bsc#1112294 and bsc#1113245).
– Fixed a System halt in the screen with message “End of ORACLE section”
(bsc#1120307).
– Fixed an issue which did not allow the returning to text console when
gdm is stopped (bsc#1113700).
– Fixed an issue which was causing system hang during the load of gdm
(bsc#1112578).

This update was imported from the SUSE:SLE-15:Update update project.

Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended installation methods
like YaST online_update or “zypper patch”.

Alternatively you can run the command listed for your product:

– openSUSE Leap 15.0:

zypper in -t patch openSUSE-2019-310=1

Package List:

– openSUSE Leap 15.0 (x86_64):

gdm-3.26.2.1-lp150.11.9.1
gdm-debuginfo-3.26.2.1-lp150.11.9.1
gdm-debugsource-3.26.2.1-lp150.11.9.1
gdm-devel-3.26.2.1-lp150.11.9.1
libgdm1-3.26.2.1-lp150.11.9.1
libgdm1-debuginfo-3.26.2.1-lp150.11.9.1
typelib-1_0-Gdm-1_0-3.26.2.1-lp150.11.9.1

– openSUSE Leap 15.0 (noarch):

gdm-branding-upstream-3.26.2.1-lp150.11.9.1
gdm-lang-3.26.2.1-lp150.11.9.1
gdmflexiserver-3.26.2.1-lp150.11.9.1

References:

https://www.suse.com/security/cve/CVE-2019-3825.html
https://bugzilla.suse.com/1112294
https://bugzilla.suse.com/1112578
https://bugzilla.suse.com/1113245
https://bugzilla.suse.com/1113700
https://bugzilla.suse.com/1120307
https://bugzilla.suse.com/1124628


To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org